stages:
  - deploy

.deploy: &deploy
  image: ubuntu:18.04
  before_script:
    - apt-get update
    - apt-get install -y git ruby
    # SSH Needs
    - which ssh-agent || apt-get install openssh-client -y
    - eval $(ssh-agent -s)
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add - > /dev/null
    - ssh-keyscan nicolas-doyer.fr >> ~/.ssh/known_hosts
    - chmod 644 ~/.ssh/known_hosts
    - gem install bundler -v 1.17.3
    - bundle
    - export CI_COMMIT_MESSAGE=$CI_COMMIT_MESSAGE

deploy_preprod:
  <<: *deploy
  stage: deploy
  environment:
    name: preprod
  script:
    - ENV_DEPLOY="Preprod"
    - cap preprod deploy
  only:
    - preprod